### Hierarchy

- Translate
  - TranslateService

## Index

### Constructors

- constructor

### Properties

- defaultLanguage
- i18n
- language
- libTranslate
- supportedLanguages
- t
- translations
- translationsLocation

### Methods

- add
- get
- initTranslateJs
- loadTranslation
- set
- updateTranslateComponents
- use

### Object literals

- options

## Constructors

### constructor

- new Translate(): Translate

- - Defined in translate/translate.ts:20

  #### Returns Translate

## Properties

### defaultLanguage

defaultLanguage: string = "en-US"

- Defined in translate/translate.ts:9

### i18n

i18n: object = i18n

- Defined in translate/translate.ts:7

#### Type declaration

### language

language: string

- Defined in translate/translate.ts:15

### libTranslate

libTranslate: any

- Defined in translate/translate.ts:8

### supportedLanguages

supportedLanguages: string[] = ['en-US','nl-NL']

- Defined in translate/translate.ts:10

### t

t: any

- Defined in translate/translate.ts:6

### translations

translations: object

- Defined in translate/translate.ts:14

#### Type declaration

### translationsLocation

translationsLocation: string = "assets/translations"

- Defined in translate/translate.ts:16

## Methods

### add

- add(translationsObject: any): void

- - Defined in translate/translate.ts:54

  #### Parameters

  - ##### translationsObject: any

  #### Returns void

### get

- get(translationKey: any, ...params: any[]): string

- - Defined in translate/translate.ts:41

  Translates a string to the current language of the TranslateService.

  #### Parameters

  - ##### translationKey: any

    The string to translate.

  - ##### Rest ...params: any[]

    The parameters to send to the translate function.

  #### Returns string

### initTranslateJs

- initTranslateJs(): void

- - Defined in translate/translate.ts:94

  #### Returns void

### loadTranslation

- loadTranslation(language: string): Promise<void>

- - Defined in translate/translate.ts:77

  #### Parameters

  - ##### language: string

  #### Returns Promise<void>

### set

- set(translationKey: string, value: any): void

- - Defined in translate/translate.ts:50

  Adds a translated string to the current language object.

  #### Parameters

  - ##### translationKey: string

    The identifier of the translation.

  - ##### value: any

    The value of the translation in the current selected language.

  #### Returns void

### updateTranslateComponents

- updateTranslateComponents(): void

- - Defined in translate/translate.ts:86

  #### Returns void

### use

- use(language: string, reloadRemote?: boolean): Promise<void>

- - Defined in translate/translate.ts:68

  Switch the current language of the translateService. If the supplied language parameter is not yet present in the translations object, the service will try to load a json file in the location specified in translationsLocation property. example: use('fr'), will load 'assets/translations/fr.json' by default

  #### Parameters

  - ##### language: string

    The language identifier.

  - ##### Default value reloadRemote: boolean = false

    Set this to true to reload the json translation file.

  #### Returns Promise<void>

## Object literals

### options

options: object

- Defined in translate/translate.ts:17

### debug

debug: boolean = false

- Defined in translate/translate.ts:18

### namespaceSplitter

namespaceSplitter: string = "::"

- Defined in translate/translate.ts:19